export enum QrCodeBusinessType {
  /**
   * 积分结账
   */
  PointsCheckout = 'PC',
  /**
   * 到店核销
   */
  InStoreWriteOff = 'ISWO',
}
// 审核状态（0，审核通过，1、待审核、2、驳回）,示例值(1,2,3)
export enum ReportInfoReviewStatus {
  /**
   * 待审核
   */
  PendingReview = 1,
  /**
   * 驳回
   */
  Rejected = 2,
  /**
   * 审核通过
   */
  Approved = 0,
}
/**
 *
 */
export enum NetImages {
  'default' = 'https://cdn.jsdelivr.net/gh/yangyang-yangyang/yangyang-yangyang.github.io@master/images/default.png',
  'avatar' = 'https://cdn.jsdelivr.net/gh/yangyang-yangyang/yangyang-yangyang.github.io@master/images/avatar.png',
  'NotContent' = 'https://image.zhuchaohui.com/zhucaohui/3819d411440c23cc9e4f4bd3a520325386d7f038ed6dfa7c2ba076bd5110d2d2.png',
  'DesigerHomepageDefaultBg' = 'https://image.zhuchaohui.com/zhucaohui/58dcb982d2957c5578478abbf000936efe9d11c96c5af4d457177cf5d90a9d39.png',
  ConsultDefaultBg = 'https://image.zhuchaohui.com/zhucaohui/f1942e62d1b1adc23f37de705570e22d098da319e10c8a448dc49e594d4bee3a.png',
  StudyTourItemBg = 'https://image.zhuchaohui.com/zhucaohui/254b7ea7fdecaba8e318a7f50e292d036cafe49904fc7fc160a5477ce921e261.png',
  DefaultAvatar = 'https://image.zhuchaohui.com/zhucaohui/0b57771c2fbe60157e592a5b0e51a2b2b6c5263300663ad33efd55b235a2402a.png',
  DefaultPointsHeadBg = 'https://image.zhuchaohui.com/zhucaohui/7442ae6cb5f8ea83269595d4ee621bd21da2c42c23db113f18bd6f25f70572aa.png',
}
export enum AgreementType {
  /**
   * 个人微信视频号授权使用协议
   */
  PersonalWeChatVideoAuthorization = 1,
  /**
   * 筑巢荟服务使用协议
   */
  ZCHServiceAgreement = 2,
  /**
   * 筑巢荟用户注册协议
   */
  ZCHUserRegistrationAgreement = 3,
  /**
   * 筑巢荟用户隐私协议
   */
  ZCHUserPrivacyAgreement = 4,
  /**
   * 荟务服务使用协议
   */
  HuiWuServiceAgreement = 5,
}
