import { designer } from './pngs'
import { h } from 'vue'

export const renders = {
  designerBasiceInfo: {
    id: (value) => ({ type: 'Original', value }),
    userId: (value) => ({ type: 'Original', value }),
    avatar: (value) => ({ type: 'Avatar', value }),
    name: (value) => ({ type: 'Original', value }),
    sex: (value) => ({
      type: 'Select',
      options: [
        { label: '男', value: 0 },
        { label: '女', value: 1 },
      ],
      value,
    }),
    birthday: (value) => ({ type: 'Date', value }),
    mobile: (value) => ({ type: 'Original', value }),
    referrer: (value) => ({ type: 'Original', value }),
    brokerName: (value) => ({ type: 'Original', value }),
    employer: (value) => ({ type: 'Original', value }),
    companyAddress: (value) => ({ type: 'Original', value }),
    idCardNumber: (value) => ({ type: 'Original', value }),
    passportNumber: (value) => ({ type: 'Original', value }),
    householdAddress: (value) => ({ type: 'Original', value }),
    cooperationTime: (value) => ({ type: 'Date', value }),
    joinTime: (value) => ({ type: 'Date', value }),
    circle: (value) => ({ type: 'Original', value }),
    hobbies: (value) => ({ type: 'Original', value }),
    sharingIntent: (value) => ({ type: 'Original', value }),
    createTime: (value) => ({ type: 'Date', value }),
    imageNumber: (value) => ({ type: 'Original', value }),
    imageUrl: (value) => ({ type: 'Original', value }),
    maritalStatus: (value) => ({ type: 'Original', value }),
    maritalStatusStr: (value) => ({ type: 'Original', value }),
  },
}
